//
// DONE
//
// AppDelegate.m
// WTFeedbackViewDemo   1.0
//
// Created by Wagner Truppel on 2009-10-08.
// Copyright 2009 Wagner Truppel (jrcapab@gmail.com). All rights reserved.
//
// Redistribution and use in binary and source forms, with or without
// modification, are permitted for any project, commercial or otherwise,
// provided that the following conditions are met:
//
// Redistributions in binary form must display the copyright notice in the
// About view, website, and/or documentation.
//
// Redistributions of source code must retain the copyright notice, this
// list of conditions, and the following disclaimer.
//
// THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
// OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS.
// IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
// DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
// OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE
// USE OR OTHER DEALINGS IN THIS SOFTWARE.

#import "CustomLogging.h"
#import "AppDelegate.h"



// ========================================================================= //
                        #pragma mark private interface
// ========================================================================= //

@interface AppDelegate ()

@property (readwrite, nonatomic, retain) UIWindow* window;
@property (readwrite, nonatomic, retain) UINavigationController* navController;

@end

// ========================================================================= //



@implementation AppDelegate

// ========================================================================= //
                           #pragma mark properties
// ========================================================================= //

@synthesize window;
@synthesize navController;

// ========================================================================= //
                            #pragma mark methods
// ========================================================================= //

- (void) applicationDidFinishLaunching: (UIApplication*) application;
{
    BEGIN
    // WTLOG(@"AppDelegate: -applicationDidFinishLaunching");

	[window addSubview: navController.view];
	[window makeKeyAndVisible];

    END
}

// ========================================================================= //

- (void) dealloc;
{
    BEGIN
    // WTLOG(@"AppDelegate: -dealloc");

	[window release];
	[navController release];

	[super dealloc];

    END
}

// ========================================================================= //

@end
